﻿@model  LoyaltyPointEngine.CMS.Models.UserLoginModel
@{
    Layout = "~/Views/Shared/_LayoutLogin.cshtml";
    ViewBag.Title = "Log in";

}

<!-- Login Formular -->
@using (Html.BeginForm())
{
 <!-- Title -->
    <h3 class="form-title">Sign In to your Account</h3>

    <!-- Error Message -->
    <div class="alert fade in alert-danger" style="display: none;">
        <i class="icon-remove close" data-dismiss="alert"></i>
        Enter any username and password.
    </div>

    if (!Html.ViewData.ModelState.IsValid)
    {
        <div class="alert alert-danger">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <i class="fa fa-times-circle"></i>
            Error occured: <br />
            @Html.ValidationSummary()
        </div>
    }

    if (!string.IsNullOrEmpty(ViewBag.Success))
    {
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <i class="fa fa-check-circle"></i>
            @ViewBag.Success
        </div>
    }
    <!-- Input Fields -->
    <div class="form-group">
        <!--<label for="username">Username:</label>-->
        <div class="input-icon">
            <i class="icon-user"></i>
            @*<input type="text" name="username" class="form-control" placeholder="Username" autofocus="autofocus" data-rule-required="true" data-msg-required="Please enter your username." />*@
            @Html.TextBoxFor(m => m.Username, new { placeholder = "UserName" })
        </div>
    </div>
    <div class="form-group">
        <!--<label for="password">Password:</label>-->
        <div class="input-icon">
            <i class="icon-lock"></i>
            @*<input type="password" name="password" class="form-control" placeholder="Password" data-rule-required="true" data-msg-required="Please enter your password." />*@
            @Html.PasswordFor(m => m.Password, new { placeholder = "Credentials" })
        </div>
    </div>
    <!-- /Input Fields -->
    <!-- Form Actions -->
    <div class="form-actions">
        <label class="checkbox pull-left"><input type="checkbox" class="uniform" name="remember"> Remember me</label>
        <button type="submit" class="submit btn btn-primary pull-right">
            Sign In <i class="icon-angle-right"></i>
        </button>
    </div>
}
<!-- /Login Formular -->


<script>

    $("input[placeholder]#Email").each(function () {
        var $this = $(this);
        if ($this.val() == "") {
            $this.val($this.attr("placeholder")).focus(function () {
                if ($this.val() == $this.attr("placeholder")) {
                    $this.val("");
                }
            }).blur(function () {
                if ($this.val() == "") {
                    $this.val($this.attr("placeholder"));
                }
            });
        }
    });
    $("input[placeholder]#Password").each(function () {
        var $this = $(this);
        var type = $("input[placeholder]#Password")
        if ($this.val() == "") {
            $(type).prop('type', 'text');
            $this.val($this.attr("placeholder")).focus(function () {
                if ($this.val() == $this.attr("placeholder")) {
                    $this.val("");
                    $(type).prop('type', 'password');
                }
            }).blur(function () {
                if ($this.val() == "") {
                    $this.val($this.attr("placeholder"));
                    $(type).prop('type', 'text');
                }
            });
        }
    });
</script>
